rmconfig='no'
case $CONFIG in
'')
	if test ! -f config.sh; then
		ln ../config.sh . || \
			ln ../../config.sh . || \
			ln ../../../config.sh . || \
			(echo "Can't find config.sh."; exit 1)
		rmconfig='yes'
	fi
	. config.sh
	;;
esac
: This forces SH files to create target in same directory as SH file.
: This is so that make depend always knows where to find SH derivatives.
case "$0" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Extracting kef/Makefile (with variable substitutions)"
: Some headers, do no variable substitution
$spitshell >Makefile <<'!NO!SUBS!'
#
# Makefile for KEF
#
# sccsid = @(#)  Makefile  (v2.2 5/2/90)
#

#
# Some general stuff
#
SHELL	=	/bin/sh
SCCSPATH=
!NO!SUBS!
: This section of the file will have variable substitutions done on it.
: Move anything that needs config subs from !NO!SUBS! section to !GROK!THIS!.
: Protect any dollar signs and backticks that you do not want interpreted
: by putting a backslash in front.  You may delete these comments.
$spitshell >>Makefile <<!GROK!THIS!
#
# The values of the following variables come from config.sh which has
# been generated by running the Configure script.
CC=$cc
STDCFLAGS=$ccflags
LDFLAGS=$ldflags
!GROK!THIS!

: In the following dollars and backticks do not need the extra backslash.
$spitshell >>Makefile <<'!NO!SUBS!'

# Debug flags go into DEB. Delete the object and recompile.
# Debug info is written to "FILE * prot"
#
#     flag          |	file
#   ----------------+------------------
#	DEBUG_INIT		|	create.c, mcreate.c, _init.c
#	DEBUG_GET		|	get.c, look_wait.c
#	DEBUG_FILL		|	fill.c
DEB		=

#
# INCL should be pointing at the directory kef.h etc. are in.
#
INCL	=	-I..

#
# Compile flags
#
CFLAGS	=	${STDCFLAGS} ${DEB} ${INCL}

#
# Object files
#
OBJS	=	_init.o create.o fill.o get.o set.o mcreate.o look_wait.o
DOBJS	=	dump.o

KEF_LIB	=	../libkef.a
KEF_DLIB=	../libDkef.a


#
# Dependencies
# ============
#

all:	${KEF_LIB} ${KEF_DLIB}

${KEF_LIB}: ${OBJS}
	ar rv ${KEF_LIB} $?
	ranlib ${KEF_LIB}

${KEF_DLIB}: ${DOBJS}
	ar rv ${KEF_DLIB} $?
	ranlib ${KEF_DLIB}

${OBJS}: ../kef.h
${DOBJS}: ../kef.h
!NO!SUBS!
chmod 755 Makefile
$eunicefix Makefile
if test "$rmconfig" = "yes" ; then
	rm -f config.sh
fi
