static char * sccsid = "@(#)  _init.c  (v1.1 3/27/90)";

/*
 * Initialize a kef structure, without using malloc/realloc/free.
 */

# include <stdio.h>
# include "kef.h"

#ifdef DEBUG_INIT
#	define L_DEBUG
#else
#	ifdef L_DEBUG
#		undef L_DEBUG
#	endif
#endif
# include "local.h"

	int
kef__init (k, buf, buf_size, kdb, fd, my_malloc, my_realloc, my_free)
	struct kef * k;
	byte * buf;
	int buf_size;
	struct kef_db * kdb;
	int fd;
	char * (* my_malloc) ();
	char * (* my_realloc)();
	FREE_TYPE (* my_free) ();
/*
 * Initialize an object of type kef with appendages.
 */
{
	DI("kef__init ::")

	DEB6("%s called with k=%1d, buf=%1d, buf_size=%1d, kdb=%1d, fd=%1d\n",
		(long)k, buf, buf_size, (long)kdb, fd);

	if (k == NULL || buf == NULL || buf_size <= 0)
		return KEF_E_INV_PAR;

	/*
	 * Initialize the stuff in the new structure.
	 */
	k->fd = fd;

	k->is_delay = 1;
	k->delay = 0;
	k->is_timeout = 1;
	k->timeout = 500;

	k->buf = buf;
	k->size_buf = buf_size;

	k->buf_end = NULL;
	k->from = k->to = k->cur = k->buf;

	k->db = kdb;
	k->malloc = my_malloc;
	k->realloc = my_realloc;
	k->free = my_free;

	k->use_db = 1;

	return KEF_E_OK;
}
