static char * sccsid = "@(#)  set.c  (v2.4 4/26/90)";
/*
 * Set timeout and delay.
 */

# include <stdio.h>
# include "kef.h"

#ifdef DEBUG_SET
#	define L_DEBUG
#else
#	ifdef L_DEBUG
#		undef L_DEBUG
#	endif
#endif
# include "local.h"

	int
kef_set_timeout (k, msec, ind)
	struct kef * k;
	int ind;
	int msec;
/*
 * Set timeout.
 * 
 * ind = 0 : set "no timeout"
 *       1 : set timeout to value in msec
 */
{
	switch (ind) {
		case 0:
			k->is_timeout = 0;
			break;
		case 1:
			k->is_timeout = 1;
			k->timeout = msec;
			break;
		default:
			return KEF_E_INV_PAR;
	}
	return KEF_E_OK;
}

	int
kef_set_delay (k, msec, ind)
	struct kef * k;
	int ind;
	int msec;
/*
 * Set delay (= timeout when waiting for first character).
 * 
 * ind = 0 : set "no delay"
 *       1 : set delay to value in msec
 */
{
	switch (ind) {
		case 0:
			k->is_delay = 0;
			break;
		case 1:
			k->is_delay = 1;
			k->delay = msec;
			break;
		default:
			return KEF_E_INV_PAR;
	}
	return KEF_E_OK;
}

	int
kef_get_timeout (k, msec)
	struct kef * k;
	int * msec;
/*
 * Get timeout.
 * 
 * ind = 0 : set "no timeout"
 *       1 : set timeout to value in msec
 * returns:
 *		value 0 : no timeout, 1 : timeout active
 */
{
	*msec = k->timeout;
	return k->is_timeout;
}

	int
kef_get_delay (k, msec)
	struct kef * k;
	int * msec;
/*
 * Get delay (= timeout when waiting for first character).
 * 
 * ind = 0 : set "no delay"
 *       1 : set delay to value in msec
 * returns:
 *		value 0 : no delay, 1 : delay active
 */
{
	*msec = k->delay;
	return k->is_delay;
}
